package cn.hmsoft.pay.impl.newupay;

/************************
 * 
 * @note 订单查询
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2018年2月9日 上午11:34:24
 * @version 4.0.0
 */
public class NewUPayQueryRequest {
	/*************
	 * 必填：AN8
	 * 
	 * 版本号:固定值：20140728
	 **************/
	private String Version = "20140728";
	/*************
	 * 选填：N1
	 * 
	 * 接入类型:0：商户身份接入（默认）
	 **************/
	private String AccessType;

	/*************
	 * 选填：N15
	 * 
	 * 接入机构号:以机构身份接入时必填
	 **************/
	private String InstuId;
	/*************
	 * 必填：N15
	 * 
	 * 商户号:由ChinaPay分配的15位定长数字，用于确认商户身份
	 **************/
	private String MerId;
	/*************
	 * 必填：AN1..32
	 * 
	 * 商户订单号:商户订单号
	 **************/
	private String MerOrderNo;
	/*************
	 * 必填：N8
	 * 
	 * 商户交易日期:原交易日期，格式：yyyyMMdd
	 **************/
	private String TranDate;
	/*************
	 * 必填：N4
	 * 
	 * 交易类型:0502
	 **************/
	private String TranType = "0502";
	/*************
	 * 必填：N4
	 * 
	 * 业务类型:固定值：0001
	 **************/
	private String BusiType = "0001";
	/*************
	 * 选填：ANS0..1024
	 * 
	 * 交易扩展域:交易扩展域，JSON格式填写,如：{ BusiId :00000001,P1:123, P2:756,
	 * P3:123,P4:23}。商户自定义使用，商户可根据商户自定义业务字段BusiId来填写P1到P10参数，
	 * 系统会存储P1到P10参数数据，可供商户查询使用。
	 **************/
	private String TranReserved;

	/*************
	 * 必填：
	 * 
	 * 签名:商户报文签名信息，报文中的所有字段都参与签名（Signature除外）
	 **************/
	private String Signature;

	public String getVersion() {
		return Version;
	}

	public void setVersion(String version) {
		Version = version;
	}

	public String getAccessType() {
		return AccessType;
	}

	public void setAccessType(String accessType) {
		AccessType = accessType;
	}

	public String getInstuId() {
		return InstuId;
	}

	public void setInstuId(String instuId) {
		InstuId = instuId;
	}

	public String getMerId() {
		return MerId;
	}

	public void setMerId(String merId) {
		MerId = merId;
	}

	public String getMerOrderNo() {
		return MerOrderNo;
	}

	public void setMerOrderNo(String merOrderNo) {
		MerOrderNo = merOrderNo;
	}

	public String getTranDate() {
		return TranDate;
	}

	public void setTranDate(String tranDate) {
		TranDate = tranDate;
	}

	public String getTranType() {
		return TranType;
	}

	public void setTranType(String tranType) {
		TranType = tranType;
	}

	public String getBusiType() {
		return BusiType;
	}

	public void setBusiType(String busiType) {
		BusiType = busiType;
	}

	public String getTranReserved() {
		return TranReserved;
	}

	public void setTranReserved(String tranReserved) {
		TranReserved = tranReserved;
	}

	public String getSignature() {
		return Signature;
	}

	public void setSignature(String signature) {
		Signature = signature;
	}

	
}
